Skip to content

API reference

Explore the endpoints, parameters, request bodies, and response schemas for this Repovio release.

This read-only reference is generated from the selected application release. Use the search field to find an endpoint; expand schema details for nested fields and download the complete OpenAPI JSON when needed.

For the documentation served by your installation, see API access.

114 endpoints

Download OpenAPI JSON

health

GET/api/health

Get application health status

Authentication

No authentication required by this contract.

Responses

200 The API process, database, and persisted provider synchronization state.

auth

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Responses

200

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Request body

Required
application/json
UpdateProfileDto · object
Properties
Schema JSON

Responses

200

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Request body

Required
multipart/form-data
object
Properties
Schema JSON

Responses

200

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Responses

200

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Request body

Required
application/json
RemoteAvatarDto · object
Properties
Schema JSON

Responses

201

Authentication

No authentication required by this contract.

Responses

200

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Responses

200

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Responses

200

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Request body

Required
application/json
UpdateOidcConfigDto · object
Properties
Schema JSON

Responses

200

Authentication

No authentication required by this contract.

Request body

Required
application/json
OidcExchangeDto · object
Properties
Schema JSON

Responses

200

Authentication

No authentication required by this contract.

Parameters

query
return_toRequiredstring
Schema JSON

Responses

200

Authentication

No authentication required by this contract.

Responses

200

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Request body

Required
application/json
UpdatePasswordDto · object
Properties
Schema JSON

Responses

201

Authentication

No authentication required by this contract.

Request body

Required
application/json
SetupDto · object
Properties
Schema JSON

Responses

200

Authentication

No authentication required by this contract.

Responses

200

Authentication

No authentication required by this contract.

Request body

Required
application/json
SignInDto · object
Properties
Schema JSON

Responses

200

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Responses

204

notifications

GET/api/v1/browser-push

Get browser-push availability and enrollment status

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Responses

200

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Request body

Required
application/json
RegisterBrowserPushSubscriptionDto · object
Properties
Schema JSON

Responses

204

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Request body

Required
application/json
RemoveBrowserPushSubscriptionDto · object
Properties
Schema JSON

Responses

204

GET/api/v1/notification-channels

List visible notification channels

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Responses

200

POST/api/v1/notification-channels

Create a notification channel

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Request body

Required
application/json
CreateNotificationChannelDto · object
Properties
Schema JSON

Responses

200

PATCH/api/v1/notification-channels/{id}

Update a notification channel

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Parameters

path
idRequiredstring
Schema JSON

Request body

Required
application/json
UpdateNotificationChannelDto · object
Properties
Schema JSON

Responses

200

DELETE/api/v1/notification-channels/{id}

Delete a notification channel

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Parameters

path
idRequiredstring
Schema JSON

Responses

204

POST/api/v1/notification-channels/{id}/test

Test one notification channel

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Parameters

path
idRequiredstring
Schema JSON

Responses

200

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Responses

200

POST/api/v1/notification-channels/preview

Preview workflow notification subscriptions

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Request body

Required
application/json
NotificationRulePreviewInputDto · object
Properties
Schema JSON

Responses

200

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Parameters

query
page
anyOf
number
string
Schema JSON
query
perPage
anyOf
number
string
Schema JSON
query
fieldsstring
Schema JSON
query
whereNotificationChannelWhere · object
Properties
Schema JSON
query
orderBy
anyOf
NotificationChannelOrderBy · object
Properties
array
Array items
NotificationChannelOrderBy · object
Properties
Schema JSON
query
selectNotificationChannelSelect · object
Properties
Schema JSON
query
includeNotificationChannelInclude · object
Properties
Schema JSON
query
cursorstring
Properties
Schema JSON
query
distinct
anyOf
string

["id","createdAt","updatedAt","name","type","enabled"]

array
Array items
string

["id","createdAt","updatedAt","name","type","enabled"]

Schema JSON
query
searchstring
Schema JSON

Responses

200 Visible notification channels.

GET/api/v1/notification-deliveries

List visible notification delivery history

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Parameters

query
repositoryIdRequiredstring
Schema JSON

Responses

200

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Parameters

query
page
anyOf
number
string
Schema JSON
query
perPage
anyOf
number
string
Schema JSON
query
fieldsstring
Schema JSON
query
whereNotificationDeliveryWhere · object
Properties
Schema JSON
query
orderBy
anyOf
NotificationDeliveryOrderBy · object
Properties
array
Array items
NotificationDeliveryOrderBy · object
Properties
Schema JSON
query
selectNotificationDeliverySelect · object
Properties
Schema JSON
query
includeNotificationDeliveryInclude · object
Properties
Schema JSON
query
cursorstring
Properties
Schema JSON
query
distinct
anyOf
string

["id","createdAt","updatedAt","kind","eventType","status","nextAttemptAt","notificationChannelId","repositoryId"]

array
Array items
string

["id","createdAt","updatedAt","kind","eventType","status","nextAttemptAt","notificationChannelId","repositoryId"]

Schema JSON
query
searchstring
Schema JSON

Responses

200 Authorized notification delivery history.

dashboard

GET/api/v1/dashboard/awaiting-approval

List workflow runs awaiting provider approval

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Responses

200 Visible workflow runs awaiting approval.

GET/api/v1/dashboard/failures

List the 15 newest workflow contexts whose latest terminal run failed

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Responses

200 Visible latest failed workflow runs.

GET/api/v1/dashboard/latest-runs

List the ten newest visible workflow runs

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Responses

200 The ten newest visible workflow runs.

GET/api/v1/dashboard/repositories

Get visible repository workflow health

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Parameters

query
fromRequiredstring
Schema JSON
query
toRequiredstring
Schema JSON

Responses

200 Permission-aware repository health aggregates.

GET/api/v1/dashboard/summary

Get visible workflow health summary

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Parameters

query
fromRequiredstring
Schema JSON
query
toRequiredstring
Schema JSON

Responses

200 Permission-aware workflow health summary.

GET/api/v1/dashboard/trend

Get success and error workflow-run trend buckets

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Parameters

query
fromRequiredstring
Schema JSON
query
toRequiredstring
Schema JSON
query
bucket
anyOf
string

["hour"]

string

["day"]

string

["week"]

Schema JSON

Responses

200 Visible workflow-run trend buckets.

GitHubApp

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Responses

200

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Request body

Required
application/json
SaveGitHubAppDto · object
Properties
Schema JSON

Responses

200

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Responses

204

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Responses

200

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Request body

Required
application/json
ConnectGitHubAppDto · object
Properties
Schema JSON

Responses

201

issues

GET/api/v1/issues

Query visible issues

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Parameters

query
page
anyOf
number
string
Schema JSON
query
perPage
anyOf
number
string
Schema JSON
query
fieldsstring
Schema JSON
query
whereIssueWhere · object
Properties
Schema JSON
query
orderBy
anyOf
IssueOrderBy · object
Properties
array
Array items
IssueOrderBy · object
Properties
Schema JSON
query
selectIssueSelect · object
Properties
Schema JSON
query
includeIssueInclude · object
Properties
Schema JSON
query
cursorstring
Properties
Schema JSON
query
distinct
anyOf
string

["id","createdAt","updatedAt","number","title","body","state","url","providerCreatedAt","providerUpdatedAt","closedAt","milestone","repositoryId"]

array
Array items
string

["id","createdAt","updatedAt","number","title","body","state","url","providerCreatedAt","providerUpdatedAt","closedAt","milestone","repositoryId"]

Schema JSON
query
searchstringnullable
Schema JSON
query
labelsnullable
anyOf
string
array
Array items
string
Schema JSON

Responses

200 Visible provider issues.
400 Invalid issue query.
401
403

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Parameters

path
idRequiredstring
Schema JSON

Responses

200

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Responses

200

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Responses

200

jobs

GET/api/v1/jobs/repository-sync

Query visible repository synchronization jobs

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Parameters

query
page
anyOf
number
string
Schema JSON
query
perPage
anyOf
number
string
Schema JSON
query
fieldsstring
Schema JSON
query
whereRepositoryWhere · object
Properties
Schema JSON
query
orderBy
anyOf
RepositoryOrderBy · object
Properties
array
Array items
RepositoryOrderBy · object
Properties
Schema JSON
query
selectRepositorySelect · object
Properties
Schema JSON
query
includeRepositoryInclude · object
Properties
Schema JSON
query
cursorobject
Properties
Schema JSON
query
distinct
anyOf
string

["id","createdAt","updatedAt","providerRepositoryId","owner","name","url","enabled","lastSyncAt","providerAccountId","workflowRunRetentionDays","issueRetentionDays","pullRequestRetentionDays"]

array
Array items
string

["id","createdAt","updatedAt","providerRepositoryId","owner","name","url","enabled","lastSyncAt","providerAccountId","workflowRunRetentionDays","issueRetentionDays","pullRequestRetentionDays"]

Schema JSON
query
searchstring
Schema JSON

Responses

200 Visible repository synchronization jobs.
400 Invalid repository synchronization job query.
401
403

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Parameters

path
repositoryIdRequiredstring
Schema JSON

Responses

202

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Responses

202

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Responses

200

mcp-tokens

GET/api/v1/mcp-tokens

List safe MCP token metadata

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Parameters

query
userIdstring · uuidnullable
Schema JSON

Responses

200

POST/api/v1/mcp-tokens

Create a user-owned MCP token

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Request body

Required
application/json
CreateMcpAccessTokenDto · object
Properties
Schema JSON

Responses

201

DELETE/api/v1/mcp-tokens/{id}

Revoke an MCP token

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Parameters

path
idRequiredstring
Schema JSON

Responses

204

ProviderAccounts

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Parameters

query
page
anyOf
number
string
Schema JSON
query
perPage
anyOf
number
string
Schema JSON
query
fieldsstring
Schema JSON
query
whereProviderAccountWhere · object
Properties
Schema JSON
query
orderBy
anyOf
ProviderAccountOrderBy · object
Properties
array
Array items
ProviderAccountOrderBy · object
Properties
Schema JSON
query
selectProviderAccountSelect · object
Properties
Schema JSON
query
includeProviderAccountInclude · object
Properties
Schema JSON
query
cursorstring
Properties
Schema JSON
query
distinct
anyOf
string

["authenticationMethod","githubInstallationState","id","createdAt","updatedAt","providerType","displayName","baseUrl","enabled","lastSyncAt"]

array
Array items
string

["authenticationMethod","githubInstallationState","id","createdAt","updatedAt","providerType","displayName","baseUrl","enabled","lastSyncAt"]

Schema JSON
query
searchstring
Schema JSON

Responses

200 Configured provider accounts.
400 Invalid provider-account query.
401
403

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Request body

Required
application/json
CreateProviderAccountDto · object
Properties
Schema JSON

Responses

201

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Parameters

path
idRequiredstring
Schema JSON

Request body

Required
application/json
UpdateProviderAccountDto · object
Properties
Schema JSON

Responses

200

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Parameters

path
idRequiredstring
Schema JSON

Responses

204

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Parameters

path
idRequiredstring
Schema JSON

Responses

200

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Parameters

path
idRequiredstring
Schema JSON

Request body

Required
application/json
CreateTrackedRepositoryDto · object
Properties
Schema JSON

Responses

201

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Responses

200

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Request body

Required
application/json
StartProviderOAuthDto · object
Properties
Schema JSON

Responses

201

ProviderOAuth

Authentication

No authentication required by this contract.

Parameters

query
stateRequiredstring
Schema JSON
query
codestringnullable
Schema JSON
query
errorstringnullable
Schema JSON
query
error_descriptionstringnullable
Schema JSON
query
error_uristringnullable
Schema JSON

Responses

200

pull-requests

GET/api/v1/pull-requests

Query visible pull requests

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Parameters

query
page
anyOf
number
string
Schema JSON
query
perPage
anyOf
number
string
Schema JSON
query
fieldsstring
Schema JSON
query
wherePullRequestWhere · object
Properties
Schema JSON
query
orderBy
anyOf
PullRequestOrderBy · object
Properties
array
Array items
PullRequestOrderBy · object
Properties
Schema JSON
query
selectPullRequestSelect · object
Properties
Schema JSON
query
includePullRequestInclude · object
Properties
Schema JSON
query
cursorstring
Properties
Schema JSON
query
distinct
anyOf
string

["id","createdAt","updatedAt","number","title","body","state","draft","sourceBranch","targetBranch","url","providerCreatedAt","providerUpdatedAt","closedAt","mergedAt","workflowStatus","workflowApprovalRequired","repositoryId"]

array
Array items
string

["id","createdAt","updatedAt","number","title","body","state","draft","sourceBranch","targetBranch","url","providerCreatedAt","providerUpdatedAt","closedAt","mergedAt","workflowStatus","workflowApprovalRequired","repositoryId"]

Schema JSON
query
searchstringnullable
Schema JSON
query
labelsnullable
anyOf
string
array
Array items
string
Schema JSON

Responses

200 Visible provider pull requests.
400 Invalid pull-request query.
401
403

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Parameters

path
idRequiredstring
Schema JSON

Responses

200

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Responses

200

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Responses

200

Repositories

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Parameters

query
page
anyOf
number
string
Schema JSON
query
perPage
anyOf
number
string
Schema JSON
query
fieldsstring
Schema JSON
query
whereRepositoryWhere · object
Properties
Schema JSON
query
orderBy
anyOf
RepositoryOrderBy · object
Properties
array
Array items
RepositoryOrderBy · object
Properties
Schema JSON
query
selectRepositorySelect · object
Properties
Schema JSON
query
includeRepositoryInclude · object
Properties
Schema JSON
query
cursorstring
Properties
Schema JSON
query
distinct
anyOf
string

["id","createdAt","updatedAt","providerRepositoryId","owner","name","url","enabled","lastSyncAt","providerAccountId","workflowRunRetentionDays","issueRetentionDays","pullRequestRetentionDays"]

array
Array items
string

["id","createdAt","updatedAt","providerRepositoryId","owner","name","url","enabled","lastSyncAt","providerAccountId","workflowRunRetentionDays","issueRetentionDays","pullRequestRetentionDays"]

Schema JSON
query
searchstring
Schema JSON

Responses

200 Tracked repositories.
400 Invalid repository query.
401
403

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Parameters

path
idRequiredstring
Schema JSON

Responses

200

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Parameters

path
idRequiredstring
Schema JSON

Request body

Required
application/json
UpdateRepositoryDto · object
Properties
Schema JSON

Responses

200

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Parameters

path
idRequiredstring
Schema JSON

Responses

200

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Parameters

path
idRequiredstring
Schema JSON
path
userIdRequiredstring
Schema JSON

Request body

Required
application/json
UpsertRepositoryMembershipDto · object
Properties
Schema JSON

Responses

200

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Parameters

path
idRequiredstring
Schema JSON
path
userIdRequiredstring
Schema JSON

Responses

204

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Parameters

path
idRequiredstring
Schema JSON

Request body

Required
application/json
SetRepositoryWebhookSecretDto · object
Properties
Schema JSON

Responses

200

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Parameters

path
idRequiredstring
Schema JSON

Responses

204

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Parameters

path
idRequiredstring
Schema JSON

Responses

200

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Parameters

path
idRequiredstring
Schema JSON

Request body

Required
application/json
CreateWorkflowFilterDto · object
Properties
Schema JSON

Responses

201

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Parameters

path
idRequiredstring
Schema JSON
path
filterIdRequiredstring
Schema JSON

Responses

204

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Responses

200

RepositoryRefresh

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Parameters

path
idRequiredstring
Schema JSON

Responses

201

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Parameters

path
idRequiredstring
Schema JSON

Responses

202

RepositoryGroups

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Parameters

path
repositoryIdRequiredstring
Schema JSON

Responses

200
400
401
403

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Parameters

path
repositoryIdRequiredstring
Schema JSON
path
groupIdRequiredstring
Schema JSON

Request body

Required
application/json
SaveRepositoryGroupDto · object
Properties
Schema JSON

Responses

200
400
401
403

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Parameters

path
repositoryIdRequiredstring
Schema JSON
path
groupIdRequiredstring
Schema JSON

Responses

204
400
401
403

security-alerts

GET/api/v1/security-alerts

Query visible security alerts

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Parameters

query
page
anyOf
number
string
Schema JSON
query
perPage
anyOf
number
string
Schema JSON
query
fieldsstring
Schema JSON
query
whereSecurityAlertWhere · object
Properties
Schema JSON
query
orderBy
anyOf
SecurityAlertOrderBy · object
Properties
array
Array items
SecurityAlertOrderBy · object
Properties
Schema JSON
query
selectSecurityAlertSelect · object
Properties
Schema JSON
query
includeSecurityAlertInclude · object
Properties
Schema JSON
query
cursorstring
Properties
Schema JSON
query
distinct
anyOf
string

["id","createdAt","updatedAt","kind","state","severity","title","scanner","providerCreatedAt","providerUpdatedAt","resolvedAt","resolution","packageName","ecosystem","manifest","ruleId","tool","secretType","secretProvider","repositoryId"]

array
Array items
string

["id","createdAt","updatedAt","kind","state","severity","title","scanner","providerCreatedAt","providerUpdatedAt","resolvedAt","resolution","packageName","ecosystem","manifest","ruleId","tool","secretType","secretProvider","repositoryId"]

Schema JSON
query
searchstring
Schema JSON

Responses

200 Visible normalized security alerts.
400 Invalid security-alert query.
401
403

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Parameters

path
idRequiredstring
Schema JSON

Responses

200

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Responses

200

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Responses

200

settings

GET/api/v1/settings

Get global application settings

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Responses

200

PATCH/api/v1/settings

Update global application settings

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Request body

Required
application/json
UpdateApplicationSettingsDto · object
Properties
Schema JSON

Responses

200
403 System administrator access is required.

UserGroups

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Parameters

query
page
anyOf
number
string
Schema JSON
query
perPage
anyOf
number
string
Schema JSON
query
fieldsstring
Schema JSON
query
whereUserGroupWhere · object
Properties
Schema JSON
query
orderBy
anyOf
UserGroupOrderBy · object
Properties
array
Array items
UserGroupOrderBy · object
Properties
Schema JSON
query
selectUserGroupSelect · object
Properties
Schema JSON
query
includeUserGroupInclude · object
Schema JSON
query
cursorstring
Properties
Schema JSON
query
distinct
anyOf
string

["id","name","createdAt","updatedAt"]

array
Array items
string

["id","name","createdAt","updatedAt"]

Schema JSON

Responses

200
400
401
403

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Request body

Required
application/json
SaveUserGroupDto · object
Properties
Schema JSON

Responses

200
400
401
403

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Parameters

path
idRequiredstring
Schema JSON

Request body

Required
application/json
SaveUserGroupDto · object
Properties
Schema JSON

Responses

200
400
401
403

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Parameters

path
idRequiredstring
Schema JSON

Responses

204
400
401
403

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Parameters

path
idRequiredstring
Schema JSON
query
page
anyOf
number
string
Schema JSON
query
perPage
anyOf
number
string
Schema JSON
query
fieldsstring
Schema JSON
query
whereUserWhere · object
Properties
Schema JSON
query
orderBy
anyOf
UserOrderBy · object
Properties
array
Array items
UserOrderBy · object
Properties
Schema JSON
query
selectUserSelect · object
Properties
Schema JSON
query
includeUserInclude · object
Schema JSON
query
cursorstring
Properties
Schema JSON
query
distinct
anyOf
string

["id","createdAt","updatedAt","username","firstName","lastName","authProvider","role"]

array
Array items
string

["id","createdAt","updatedAt","username","firstName","lastName","authProvider","role"]

Schema JSON

Responses

200
400
401
403

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Parameters

path
idRequiredstring
Schema JSON
path
userIdRequiredstring
Schema JSON

Responses

204
400
401
403

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Parameters

path
idRequiredstring
Schema JSON
path
userIdRequiredstring
Schema JSON

Responses

204
400
401
403

Users

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Parameters

query
page
anyOf
number
string
Schema JSON
query
perPage
anyOf
number
string
Schema JSON
query
fieldsstring
Schema JSON
query
whereUserWhere · object
Properties
Schema JSON
query
orderBy
anyOf
UserOrderBy · object
Properties
array
Array items
UserOrderBy · object
Properties
Schema JSON
query
selectUserSelect · object
Properties
Schema JSON
query
includeUserInclude · object
Schema JSON
query
cursorstring
Properties
Schema JSON
query
distinct
anyOf
string

["id","createdAt","updatedAt","username","firstName","lastName","authProvider","role"]

array
Array items
string

["id","createdAt","updatedAt","username","firstName","lastName","authProvider","role"]

Schema JSON

Responses

200 System users.
400 Invalid user query.
401
403

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Request body

Required
application/json
CreateUserDto · object
Properties
Schema JSON

Responses

201

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Parameters

path
idRequiredstring
Schema JSON

Responses

200

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Parameters

path
idRequiredstring
Schema JSON

Responses

200

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Parameters

path
idRequiredstring
Schema JSON

Request body

Required
application/json
ResetUserPasswordDto · object
Properties
Schema JSON

Responses

204
400
401
403
404 User not found.

version

GET/api/v1/version/latest

Get the latest released Repovio version

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Responses

200

webhooks

POST/api/v1/webhooks/forgejo/{repositoryId}

Accept a signed Forgejo webhook delivery

Authentication

No authentication required by this contract.

Parameters

path
repositoryIdRequiredstring · uuid
Schema JSON

Responses

202 The delivery was accepted for asynchronous synchronization.

POST/api/v1/webhooks/gitea/{repositoryId}

Accept a signed Gitea webhook delivery

Authentication

No authentication required by this contract.

Parameters

path
repositoryIdRequiredstring · uuid
Schema JSON

Responses

202 The delivery was accepted for asynchronous synchronization.

POST/api/v1/webhooks/github-app

Accept a signed GitHub App delivery

Authentication

No authentication required by this contract.

Responses

202 The App delivery was durably accepted.

POST/api/v1/webhooks/github/{repositoryId}

Accept a signed GitHub webhook delivery

Authentication

No authentication required by this contract.

Parameters

path
repositoryIdRequiredstring · uuid
Schema JSON

Responses

202 The delivery was accepted for asynchronous synchronization.

POST/api/v1/webhooks/gitlab/{repositoryId}

Accept a signed GitLab webhook delivery

Authentication

No authentication required by this contract.

Parameters

path
repositoryIdRequiredstring · uuid
Schema JSON

Responses

202 The delivery was accepted for asynchronous synchronization.

POST/api/webhooks/forgejo/{repositoryId}

Accept a signed Forgejo webhook delivery

Authentication

No authentication required by this contract.

Parameters

path
repositoryIdRequiredstring · uuid
Schema JSON

Responses

202 The delivery was accepted for asynchronous synchronization.

POST/api/webhooks/gitea/{repositoryId}

Accept a signed Gitea webhook delivery

Authentication

No authentication required by this contract.

Parameters

path
repositoryIdRequiredstring · uuid
Schema JSON

Responses

202 The delivery was accepted for asynchronous synchronization.

POST/api/webhooks/github-app

Accept a signed GitHub App delivery

Authentication

No authentication required by this contract.

Responses

202 The App delivery was durably accepted.

POST/api/webhooks/github/{repositoryId}

Accept a signed GitHub webhook delivery

Authentication

No authentication required by this contract.

Parameters

path
repositoryIdRequiredstring · uuid
Schema JSON

Responses

202 The delivery was accepted for asynchronous synchronization.

POST/api/webhooks/gitlab/{repositoryId}

Accept a signed GitLab webhook delivery

Authentication

No authentication required by this contract.

Parameters

path
repositoryIdRequiredstring · uuid
Schema JSON

Responses

202 The delivery was accepted for asynchronous synchronization.

workflow-runs

GET/api/v1/workflow-runs

Query visible workflow runs

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Parameters

query
page
anyOf
number
string
Schema JSON
query
perPage
anyOf
number
string
Schema JSON
query
fieldsstring
Schema JSON
query
whereWorkflowRunWhere · object
Properties
Schema JSON
query
orderBy
anyOf
WorkflowRunOrderBy · object
Properties
array
Array items
WorkflowRunOrderBy · object
Properties
Schema JSON
query
selectWorkflowRunSelect · object
Properties
Schema JSON
query
includeWorkflowRunInclude · object
Properties
Schema JSON
query
cursorstring
Properties
Schema JSON
query
distinct
anyOf
string

["id","createdAt","updatedAt","providerRunId","workflowName","displayTitle","url","providerCreatedAt","startedAt","completedAt","durationMs","status","awaitingApproval","event","scopeKey","workflowId","repositoryId"]

array
Array items
string

["id","createdAt","updatedAt","providerRunId","workflowName","displayTitle","url","providerCreatedAt","startedAt","completedAt","durationMs","status","awaitingApproval","event","scopeKey","workflowId","repositoryId"]

Schema JSON
query
searchstring
Schema JSON

Responses

200 Visible workflow runs.
400 Invalid workflow-run query.
401
403

GET/api/v1/workflow-runs/needs-attention

Query visible workflow runs that need attention

Authentication

  • Alternative 1 (all listed schemes required)

    bearer · http · bearer

Parameters

query
page
anyOf
number
string
Schema JSON
query
perPage
anyOf
number
string
Schema JSON
query
fieldsstring
Schema JSON
query
whereWorkflowRunWhere · object
Properties
Schema JSON
query
orderBy
anyOf
WorkflowRunOrderBy · object
Properties
array
Array items
WorkflowRunOrderBy · object
Properties
Schema JSON
query
selectWorkflowRunSelect · object
Properties
Schema JSON
query
includeWorkflowRunInclude · object
Properties
Schema JSON
query
cursorstring
Properties
Schema JSON
query
distinct
anyOf
string

["id","createdAt","updatedAt","providerRunId","workflowName","displayTitle","url","providerCreatedAt","startedAt","completedAt","durationMs","status","awaitingApproval","event","scopeKey","workflowId","repositoryId"]

array
Array items
string

["id","createdAt","updatedAt","providerRunId","workflowName","displayTitle","url","providerCreatedAt","startedAt","completedAt","durationMs","status","awaitingApproval","event","scopeKey","workflowId","repositoryId"]

Schema JSON
query
searchstring
Schema JSON

Responses

200 Visible latest terminal workflow failures.
400 Invalid needs-attention workflow-run query.
401
403